﻿.hero {
    position: relative;
    min-height: 650px;
    background-image: url('/img/hero.jpg');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
}

.hero-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,.30);
}

.hero-container {
    position: relative;
    z-index: 2;
}

.hero-title {
    color: white;
    font-size: 56px !important;
    font-weight: 700;
    text-align: center;
}

.hero-subtitle {
    color: white;
    opacity: .95;
}

.search-panel {
    width: min(850px, 90vw);
    padding: 10px;
    border-radius: 18px;
    background: rgba(255,255,255,.95);
}

.hero-search-input {
    width: 100%;
}

.feature-card {
    background: rgba(255,255,255,.18) !important;
    backdrop-filter: blur(12px);
    color: white;
    padding: 18px 35px;
    border-radius: 18px;
    text-align: center;
    border: 1px solid rgba(255,255,255,.25);
}

@media(max-width:900px) {

    .hero-title {
        font-size: 36px !important;
    }


    .search-panel {
        flex-direction: column;
    }


    .search-button {
        width: 100%;
    }


    .features {
        flex-direction: column !important;
    }
}





.hero-search-input .mud-input-outlined-border {
    border-width: 0 !important;
}

.hero-search-input .mud-input-outlined {
    padding-left: 0;
}

.hero-search-input .mud-input-slot {
    font-size: 18px;
}





.features-panel {
    width: 850px;
    max-width: 90vw;
    margin-top: 25px;
    display: flex;
    background: rgba(255,255,255,0.15) !important;
    backdrop-filter: blur(5px);
    border-radius: 18px;
    padding: 14px 0;

    border: 1px solid rgba(255,255,255,.25);
}

.feature-item {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.feature-item .mud-icon-root {
    font-size: 30px !important;

    color: white !important;
}

.feature-title {
    color: white;
    font-size: 20px;

    font-weight: 700;
    line-height: 1.1;
}

/*.feature-subtitle {
    color: white;
    font-size: 13px;
    opacity: .85;
}*/





.destination-card {
    position: relative;
    height: 240px;
    overflow: hidden;
    border-radius: 16px;
}

.destination-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.destination-overlay {
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    background: rgba(0,0,0,0.35);
}

.destination-title {
    font-weight: 700;
    text-shadow: 0 2px 6px rgba(0,0,0,.7);
}





.gallery-container {
    display: flex;
    gap: 16px;
    width: 100%;
    aspect-ratio: 16 / 9;
}

.main-image-container {
    flex: 1;
    height: 100%;
}

.main-gallery-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    cursor: pointer;
}

.thumbnail-container {
    width: 18%;
    height: 100%;
    overflow-y: auto;
}

.thumbnail {
    width: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: 5px;
    cursor: pointer;
    flex-shrink: 0;
}

.selected-thumb {
    border: 3px solid var(--mud-palette-tertiary);
}